Name:      igor
Version:   0.3.0
Release:   4%{?dist}
Summary:   Automated distribution life-cycle testing

License:   LGPLv2
Url:       http://www.gitorious.org/ovirt/igord
# The source file beeing used can be retrieved using:
# curl -o {name}-{version}.tar.gz http://www.gitorious.org/ovirt/igord/archive-tarball/{name}-{version}
Source0:   %{name}-%{version}.tar.gz
Group:     Development/Libraries
BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: systemd-units

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Igor is a small daemon to continuous automated testing of PXE based Linux
distributions with cobbler, libvirt and real hardware.
It is intended to be combined with Jenkins and to test oVirt Node.


%prep
# ovirt-igord is the name used by the gitorious tarball
%setup -n ovirt-igord


%build
%{__python} setup.py build


%install
%{__python} setup.py install --root=%{buildroot}

# Make some scripts executable to silence rpmlint
chmod a+x %{buildroot}/%{python_sitelib}/%{name}/data/*.sh


%post
%systemd_post igord.service


%preun
%systemd_preun igord.service


%files
%doc README.txt
# FIXME add license file (landing with next upstream release)
%config(noreplace) %{_sysconfdir}/igord/igord.cfg.example
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}*.egg-info
%{_bindir}/igord
%{_unitdir}/igord.service


%changelog
* Wed Apr 03 2013 Fabian Deutsch <fabiand@fedoraproject.org> - 0.3.0-4
- Drop define, as it was used only in one place

* Wed Apr 03 2013 Fabian Deutsch <fabiand@fedoraproject.org> - 0.3.0-3
- Remove clean
- Specify python version
- Remove CFLAGS in build


* Wed Apr 03 2013 Fabian Deutsch <fabiand@fedoraproject.org> - 0.3.0-2
- Add systemd macros

* Wed Apr 03 2013 Fabian Deutsch <fabiand@fedoraproject.org> - 0.3.0-1
- Initial package
